## r-bioc-isoformswitchanalyzer 1.16.0%2Bds

=== DESCRIPTION ===
Package: IsoformSwitchAnalyzeR
Type: Package
Title: Identify, Annotate and Visualize Alternative Splicing and
        Isoform Switches with Functional Consequences from both short-
        and long-read RNA-seq data.
Version: 1.16.0
Authors@R: person(given="Kristoffer",family="Vitting-Seerup", role=c("cre","aut"),email="k.vitting.seerup@gmail.com",comment = c(ORCID = "0000-0002-6450-0608"))
Description: Analysis of alternative splicing and isoform switches with predicted functional consequences (e.g. gain/loss of protein domains etc.) from quantification of all types of RNASeq by tools such as Kallisto, Salmon, StringTie, Cufflinks/Cuffdiff etc.
URL: http://bioconductor.org/packages/IsoformSwitchAnalyzeR/
BugReports: https://github.com/kvittingseerup/IsoformSwitchAnalyzeR/issues
License: GPL (>= 2)
Depends: R (>= 3.6), limma, DEXSeq, ggplot2
Imports: methods, BSgenome, plyr, reshape2, gridExtra, Biostrings (>=
        2.50.0), IRanges, GenomicRanges, DRIMSeq, RColorBrewer,
        rtracklayer, VennDiagram, DBI, grDevices, graphics, stats,
        utils, GenomeInfoDb, grid, tximport (>= 1.7.1), tximeta (>=
        1.7.12), edgeR, futile.logger, stringr, dplyr, magrittr, readr,
        tibble, XVector, BiocGenerics, RCurl, Biobase
Suggests: knitr, BSgenome.Hsapiens.UCSC.hg19, rmarkdown
VignetteBuilder: knitr
Collate: classes.R methods.R import_data.R test_isoform_switches.R
        analyze_ORF.R analyze_external_sequence_analysis.R
        analyze_switch_consequences.R isoform_plots.R
        plot_all_iso_switch.R high_level_functions.R tools.R
        analyze_alternative_splicing.R
biocViews: GeneExpression, Transcription, AlternativeSplicing,
        DifferentialExpression, DifferentialSplicing, Visualization,
        StatisticalMethod, TranscriptomeVariant, BiomedicalInformatics,
        FunctionalGenomics, SystemsBiology, Transcriptomics, RNASeq,
        Annotation, FunctionalPrediction, GenePrediction, DataImport,
        MultipleComparison, BatchEffect, ImmunoOncology
RoxygenNote: 6.0.1
git_url: https://git.bioconductor.org/packages/IsoformSwitchAnalyzeR
git_branch: RELEASE_3_14
git_last_commit: 5eb5b2b
git_last_commit_date: 2021-10-26
Date/Publication: 2021-10-26
NeedsCompilation: yes
Packaged: 2021-10-26 21:47:19 UTC; biocbuild
Author: Kristoffer Vitting-Seerup [cre, aut]
    (<https://orcid.org/0000-0002-6450-0608>)
Maintainer: Kristoffer Vitting-Seerup <k.vitting.seerup@gmail.com>

=== debian/control ===
Source: r-bioc-isoformswitchanalyzer
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biobase,
               r-bioc-biocgenerics,
               r-bioc-biostrings,
               r-bioc-bsgenome,
               r-bioc-dexseq,
               r-bioc-drimseq,
               r-bioc-edger,
               r-bioc-genomeinfodb,
               r-bioc-genomicranges,
               r-bioc-iranges,
               r-bioc-limma,
               r-bioc-rtracklayer,
               r-bioc-tximeta,
               r-bioc-tximport,
               r-bioc-xvector,
               r-cran-dbi,
               r-cran-dplyr,
               r-cran-ggplot2,
               r-cran-futile.logger,
               r-cran-gridextra,
               r-cran-magrittr,
               r-cran-plyr,
               r-cran-rcolorbrewer,
               r-cran-rcurl,
               r-cran-readr,
               r-cran-reshape2,
               r-cran-stringr,
               r-cran-tibble,
               r-cran-venndiagram
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-isoformswitchanalyzer
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-isoformswitchanalyzer.git
Homepage: https://bioconductor.org/packages/IsoformSwitchAnalyzeR/
Rules-Requires-Root: no

Package: r-bioc-isoformswitchanalyzer
Architecture: any
Depends: ${R:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Identify, Annotate and Visualize Alternative Splicing and
 Isoform Switches with Functional Consequences from both short- and
 long-read RNA-seq data. Analysis of alternative splicing and
 isoform switches with predicted functional consequences (e.g.
 gain/loss of protein domains etc.) from quantification of all
 types of RNASeq by tools such as Kallisto, Salmon, StringTie,
 Cufflinks/Cuffdiff etc.

## r-bioc-isoformswitchanalyzer 1.16.0+ds

=== debian/changelog ===
r-bioc-isoformswitchanalyzer (1.16.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.16.0+ds
  * d/control: Run dh-update-R
  * Add B-D on r-cran-drimseq (Closes: #999632)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 12 Dec 2021 02:12:12 +0530

r-bioc-isoformswitchanalyzer (1.14.0+ds-1) unstable; urgency=medium

  * Initial release (closes: #995255)

 -- Steffen Moeller <moeller@debian.org>  Tue, 28 Sep 2021 16:22:23 +0200

=== debian/watch ===
version=4
opts=repack,repacksuffix=+ds,dversionmangle=auto,compression=xz,downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/IsoformSwitchAnalyzeR.html .*/IsoformSwitchAnalyzeR_(.*).tar.gz

## r-bioc-isoformswitchanalyzer 1.18.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Title: Identify, Annotate and Visualize Alternative Splicing and
         Isoform Switches with Functional Consequences from both short-
         and long-read RNA-seq data.
-Version: 1.16.0
+Version: 1.18.0
 Authors@R: person(given="Kristoffer",family="Vitting-Seerup", role=c("cre","aut"),email="k.vitting.seerup@gmail.com",comment = c(ORCID = "0000-0002-6450-0608"))
 Description: Analysis of alternative splicing and isoform switches with predicted functional consequences (e.g. gain/loss of protein domains etc.) from quantification of all types of RNASeq by tools such as Kallisto, Salmon, StringTie, Cufflinks/Cuffdiff etc.
 URL: http://bioconductor.org/packages/IsoformSwitchAnalyzeR/
@@ -31,12 +31,12 @@
         MultipleComparison, BatchEffect, ImmunoOncology
 RoxygenNote: 6.0.1
 git_url: https://git.bioconductor.org/packages/IsoformSwitchAnalyzeR
-git_branch: RELEASE_3_14
-git_last_commit: 5eb5b2b
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: b0f581c
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
 NeedsCompilation: yes
-Packaged: 2021-10-26 21:47:19 UTC; biocbuild
+Packaged: 2022-04-26 21:00:49 UTC; biocbuild
 Author: Kristoffer Vitting-Seerup [cre, aut]
     (<https://orcid.org/0000-0002-6450-0608>)
 Maintainer: Kristoffer Vitting-Seerup <k.vitting.seerup@gmail.com>

=== debian/changelog ===
r-bioc-isoformswitchanalyzer (1.18.0+ds-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.18.0+ds

 -- Nilesh Patra <nilesh@debian.org>  Wed, 18 May 2022 08:31:06 +0530

## r-bioc-isoformswitchanalyzer 1.20.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Title: Identify, Annotate and Visualize Alternative Splicing and
         Isoform Switches with Functional Consequences from both short-
         and long-read RNA-seq data.
-Version: 1.18.0
+Version: 1.20.0
 Authors@R: person(given="Kristoffer",family="Vitting-Seerup", role=c("cre","aut"),email="k.vitting.seerup@gmail.com",comment = c(ORCID = "0000-0002-6450-0608"))
 Description: Analysis of alternative splicing and isoform switches with predicted functional consequences (e.g. gain/loss of protein domains etc.) from quantification of all types of RNASeq by tools such as Kallisto, Salmon, StringTie, Cufflinks/Cuffdiff etc.
 URL: http://bioconductor.org/packages/IsoformSwitchAnalyzeR/
@@ -31,12 +31,12 @@
         MultipleComparison, BatchEffect, ImmunoOncology
 RoxygenNote: 6.0.1
 git_url: https://git.bioconductor.org/packages/IsoformSwitchAnalyzeR
-git_branch: RELEASE_3_15
-git_last_commit: b0f581c
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
+git_branch: RELEASE_3_16
+git_last_commit: bde4595
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: yes
-Packaged: 2022-04-26 21:00:49 UTC; biocbuild
+Packaged: 2022-11-01 21:54:20 UTC; biocbuild
 Author: Kristoffer Vitting-Seerup [cre, aut]
     (<https://orcid.org/0000-0002-6450-0608>)
 Maintainer: Kristoffer Vitting-Seerup <k.vitting.seerup@gmail.com>

=== debian/changelog ===
r-bioc-isoformswitchanalyzer (1.20.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Reduce piuparts noise in transitions (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 22 Nov 2022 10:41:25 +0100

=== debian/control ===
Source: r-bioc-isoformswitchanalyzer
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-limma,
               r-bioc-dexseq,
               r-cran-ggplot2,
               r-bioc-bsgenome,
               r-cran-plyr,
               r-cran-reshape2,
               r-cran-gridextra,
               r-bioc-biostrings,
               r-bioc-iranges,
               r-bioc-genomicranges,
               r-bioc-drimseq,
               r-cran-rcolorbrewer,
               r-bioc-rtracklayer,
               r-cran-venndiagram,
               r-cran-dbi,
               r-bioc-genomeinfodb,
               r-bioc-tximport,
               r-bioc-tximeta,
               r-bioc-edger,
               r-cran-futile.logger,
               r-cran-stringr,
               r-cran-dplyr,
               r-cran-magrittr,
               r-cran-readr,
               r-cran-tibble,
               r-bioc-xvector,
               r-bioc-biocgenerics,
               r-cran-rcurl,
               r-bioc-biobase
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-isoformswitchanalyzer
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-isoformswitchanalyzer.git
Homepage: https://bioconductor.org/packages/IsoformSwitchAnalyzeR/
Rules-Requires-Root: no

Package: r-bioc-isoformswitchanalyzer
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Identify, Annotate and Visualize Alternative Splicing and
 Isoform Switches with Functional Consequences from both short- and
 long-read RNA-seq data. Analysis of alternative splicing and
 isoform switches with predicted functional consequences (e.g.
 gain/loss of protein domains etc.) from quantification of all
 types of RNASeq by tools such as Kallisto, Salmon, StringTie,
 Cufflinks/Cuffdiff etc.

## r-bioc-isoformswitchanalyzer 2.0.1+ds

=== DESCRIPTION ===
Package: IsoformSwitchAnalyzeR
Type: Package
Title: Identify, Annotate and Visualize Isoform Switches with
        Functional Consequences from both short- and long-read RNA-seq
        data
Version: 2.0.1
Authors@R: c(person(given="Kristoffer",family="Vitting-Seerup", role=c("cre","aut"),email="k.vitting.seerup@gmail.com",comment = c(ORCID = "0000-0002-6450-0608")), person(given="Jeroen",family="Gilis", role="ctb", email="jeroen.gilis@ugent.be",comment = c(ORCID = "0000-0001-8415-0943")))
Description: Analysis of alternative splicing and isoform switches with predicted functional consequences (e.g. gain/loss of protein domains etc.) from quantification of all types of RNASeq by tools such as Kallisto, Salmon, StringTie, Cufflinks/Cuffdiff etc.
URL: http://bioconductor.org/packages/IsoformSwitchAnalyzeR/
BugReports: https://github.com/kvittingseerup/IsoformSwitchAnalyzeR/issues
License: GPL (>= 2)
Depends: R (>= 4.2), limma, DEXSeq, satuRn (>= 1.7.0), sva, ggplot2 (>=
        3.3.5), pfamAnalyzeR
Imports: methods, BSgenome, plyr, reshape2, gridExtra, Biostrings (>=
        2.50.0), IRanges, GenomicRanges, RColorBrewer, rtracklayer,
        VennDiagram, DBI, grDevices, graphics, stats, utils,
        GenomeInfoDb, grid, tximport (>= 1.7.1), tximeta (>= 1.7.12),
        edgeR, futile.logger, stringr, dplyr, magrittr, readr, tibble,
        XVector, BiocGenerics, RCurl, Biobase, SummarizedExperiment,
        tidyr, S4Vectors, BiocParallel
Suggests: knitr, BSgenome.Hsapiens.UCSC.hg19, rmarkdown
VignetteBuilder: knitr
Collate: classes.R methods.R import_data.R test_isoform_switches.R
        analyze_ORF.R analyze_external_sequence_analysis.R
        analyze_switch_consequences.R isoform_plots.R
        plot_all_iso_switch.R high_level_functions.R tools.R
        analyze_alternative_splicing.R
biocViews: GeneExpression, Transcription, AlternativeSplicing,
        DifferentialExpression, DifferentialSplicing, Visualization,
        StatisticalMethod, TranscriptomeVariant, BiomedicalInformatics,
        FunctionalGenomics, SystemsBiology, Transcriptomics, RNASeq,
        Annotation, FunctionalPrediction, GenePrediction, DataImport,
        MultipleComparison, BatchEffect, ImmunoOncology
RoxygenNote: 6.0.1
git_url: https://git.bioconductor.org/packages/IsoformSwitchAnalyzeR
git_branch: RELEASE_3_17
git_last_commit: c946bb6
git_last_commit_date: 2023-06-27
Date/Publication: 2023-06-27
NeedsCompilation: yes
Packaged: 2023-06-27 21:09:03 UTC; biocbuild
Author: Kristoffer Vitting-Seerup [cre, aut]
    (<https://orcid.org/0000-0002-6450-0608>),
  Jeroen Gilis [ctb] (<https://orcid.org/0000-0001-8415-0943>)
Maintainer: Kristoffer Vitting-Seerup <k.vitting.seerup@gmail.com>

=== debian/changelog ===
r-bioc-isoformswitchanalyzer (2.0.1+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Add autopkgtest-pkg-r.conf

 -- Andreas Tille <tille@debian.org>  Tue, 15 Aug 2023 20:55:47 +0200

## r-bioc-isoformswitchanalyzer 2.2.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Title: Identify, Annotate and Visualize Isoform Switches with
         Functional Consequences from both short- and long-read RNA-seq
         data
-Version: 2.0.1
+Version: 2.2.0
 Authors@R: c(person(given="Kristoffer",family="Vitting-Seerup", role=c("cre","aut"),email="k.vitting.seerup@gmail.com",comment = c(ORCID = "0000-0002-6450-0608")), person(given="Jeroen",family="Gilis", role="ctb", email="jeroen.gilis@ugent.be",comment = c(ORCID = "0000-0001-8415-0943")))
 Description: Analysis of alternative splicing and isoform switches with predicted functional consequences (e.g. gain/loss of protein domains etc.) from quantification of all types of RNASeq by tools such as Kallisto, Salmon, StringTie, Cufflinks/Cuffdiff etc.
 URL: http://bioconductor.org/packages/IsoformSwitchAnalyzeR/
@@ -33,12 +33,12 @@
         MultipleComparison, BatchEffect, ImmunoOncology
 RoxygenNote: 6.0.1
 git_url: https://git.bioconductor.org/packages/IsoformSwitchAnalyzeR
-git_branch: RELEASE_3_17
-git_last_commit: c946bb6
-git_last_commit_date: 2023-06-27
-Date/Publication: 2023-06-27
+git_branch: RELEASE_3_18
+git_last_commit: 172bcd1
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: yes
-Packaged: 2023-06-27 21:09:03 UTC; biocbuild
+Packaged: 2023-10-24 21:44:28 UTC; biocbuild
 Author: Kristoffer Vitting-Seerup [cre, aut]
     (<https://orcid.org/0000-0002-6450-0608>),
   Jeroen Gilis [ctb] (<https://orcid.org/0000-0001-8415-0943>)

=== debian/changelog ===
r-bioc-isoformswitchanalyzer (2.2.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 08 Dec 2023 15:48:14 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,10 @@
                r-base-dev,
                r-bioc-limma,
                r-bioc-dexseq,
-               r-cran-ggplot2,
+               r-bioc-saturn,
+               r-bioc-sva,
+               r-cran-ggplot2 (>= 3.3.5),
+               r-bioc-pfamanalyzer,
                r-bioc-bsgenome,
                r-cran-plyr,
                r-cran-reshape2,
@@ -17,7 +20,6 @@
                r-bioc-biostrings,
                r-bioc-iranges,
                r-bioc-genomicranges,
-               r-bioc-drimseq,
                r-cran-rcolorbrewer,
                r-bioc-rtracklayer,
                r-cran-venndiagram,
@@ -35,8 +37,12 @@
                r-bioc-xvector,
                r-bioc-biocgenerics,
                r-cran-rcurl,
-               r-bioc-biobase
-Standards-Version: 4.6.1
+               r-bioc-biobase,
+               r-bioc-summarizedexperiment,
+               r-cran-tidyr,
+               r-bioc-s4vectors,
+               r-bioc-biocparallel
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-isoformswitchanalyzer
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-isoformswitchanalyzer.git
 Homepage: https://bioconductor.org/packages/IsoformSwitchAnalyzeR/

## r-bioc-isoformswitchanalyzer 2.4.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Title: Identify, Annotate and Visualize Isoform Switches with
         Functional Consequences from both short- and long-read RNA-seq
         data
-Version: 2.2.0
+Version: 2.4.0
 Authors@R: c(person(given="Kristoffer",family="Vitting-Seerup", role=c("cre","aut"),email="k.vitting.seerup@gmail.com",comment = c(ORCID = "0000-0002-6450-0608")), person(given="Jeroen",family="Gilis", role="ctb", email="jeroen.gilis@ugent.be",comment = c(ORCID = "0000-0001-8415-0943")))
 Description: Analysis of alternative splicing and isoform switches with predicted functional consequences (e.g. gain/loss of protein domains etc.) from quantification of all types of RNASeq by tools such as Kallisto, Salmon, StringTie, Cufflinks/Cuffdiff etc.
 URL: http://bioconductor.org/packages/IsoformSwitchAnalyzeR/
@@ -17,7 +17,7 @@
         GenomeInfoDb, grid, tximport (>= 1.7.1), tximeta (>= 1.7.12),
         edgeR, futile.logger, stringr, dplyr, magrittr, readr, tibble,
         XVector, BiocGenerics, RCurl, Biobase, SummarizedExperiment,
-        tidyr, S4Vectors, BiocParallel
+        tidyr, S4Vectors, BiocParallel, pwalign
 Suggests: knitr, BSgenome.Hsapiens.UCSC.hg19, rmarkdown
 VignetteBuilder: knitr
 Collate: classes.R methods.R import_data.R test_isoform_switches.R
@@ -33,12 +33,13 @@
         MultipleComparison, BatchEffect, ImmunoOncology
 RoxygenNote: 6.0.1
 git_url: https://git.bioconductor.org/packages/IsoformSwitchAnalyzeR
-git_branch: RELEASE_3_18
-git_last_commit: 172bcd1
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: 7835f1d
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: yes
-Packaged: 2023-10-24 21:44:28 UTC; biocbuild
+Packaged: 2024-05-01 04:23:25 UTC; biocbuild
 Author: Kristoffer Vitting-Seerup [cre, aut]
     (<https://orcid.org/0000-0002-6450-0608>),
   Jeroen Gilis [ctb] (<https://orcid.org/0000-0001-8415-0943>)

=== debian/changelog ===
r-bioc-isoformswitchanalyzer (2.4.0+ds-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 18 Aug 2024 12:54:09 +0200

r-bioc-isoformswitchanalyzer (2.4.0+ds-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/control: bump minimum versions of r-bioc-* packages to bioc-3.19+
    versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 30 Jul 2024 15:36:10 +0200

r-bioc-isoformswitchanalyzer (2.4.0+ds-1~0exp) experimental; urgency=low

  * Team upload.
  * New upstream version
  * Set upstream metadata fields: Archive.
  * d/control: add new build-dep on r-bioc-pwalign
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 13 Jul 2024 17:40:33 +0200

=== debian/control ===
Source: r-bioc-isoformswitchanalyzer
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-limma (>= 3.60.3),
               r-bioc-dexseq (>= 1.50.0),
               r-bioc-saturn (>= 1.12.0),
               r-bioc-sva (>= 3.52.0),
               r-cran-ggplot2 (>= 3.3.5),
               r-bioc-pfamanalyzer (>= 1.4.0),
               r-bioc-bsgenome (>= 1.72.0),
               r-cran-plyr,
               r-cran-reshape2,
               r-cran-gridextra,
               r-bioc-biostrings (>= 2.72.1),
               r-bioc-iranges (>= 2.38.1),
               r-bioc-genomicranges (>= 1.56.1),
               r-cran-rcolorbrewer,
               r-bioc-rtracklayer (>= 1.64.0),
               r-cran-venndiagram,
               r-cran-dbi,
               r-bioc-genomeinfodb (>= 1.40.1),
               r-bioc-tximport (>= 1.32.0),
               r-bioc-tximeta (>= 1.22.1),
               r-bioc-edger (>= 4.2.0),
               r-cran-futile.logger,
               r-cran-stringr,
               r-cran-dplyr,
               r-cran-magrittr,
               r-cran-readr,
               r-cran-tibble,
               r-bioc-xvector (>= 0.44.0),
               r-bioc-biocgenerics (>= 0.50.0),
               r-cran-rcurl,
               r-bioc-biobase (>= 2.64.0),
               r-bioc-summarizedexperiment (>= 1.34.0),
               r-cran-tidyr,
               r-bioc-s4vectors (>= 0.42.1),
               r-bioc-biocparallel (>= 1.38.0),
               r-bioc-pwalign (>= 1.0.0-2~0exp1),
               architecture-is-64-bit
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-isoformswitchanalyzer
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-isoformswitchanalyzer.git
Homepage: https://bioconductor.org/packages/IsoformSwitchAnalyzeR/
Rules-Requires-Root: no

Package: r-bioc-isoformswitchanalyzer
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         r-bioc-limma (>= 3.60.3),
         r-bioc-dexseq (>= 1.50.0),
         r-bioc-saturn (>= 1.12.0),
         r-bioc-sva (>= 3.52.0),
         r-bioc-pfamanalyzer (>= 1.4.0),
         r-bioc-bsgenome (>= 1.72.0),
         r-bioc-biostrings (>= 2.72.1),
         r-bioc-iranges (>= 2.38.1),
         r-bioc-genomicranges (>= 1.56.1),
         r-bioc-rtracklayer (>= 1.64.0),
         r-bioc-genomeinfodb (>= 1.40.1),
         r-bioc-tximport (>= 1.32.0),
         r-bioc-tximeta (>= 1.22.1),
         r-bioc-edger (>= 4.2.0),
         r-bioc-xvector (>= 0.44.0),
         r-bioc-biocgenerics (>= 0.50.0),
         r-bioc-biobase (>= 2.64.0),
         r-bioc-summarizedexperiment (>= 1.34.0),
         r-bioc-s4vectors (>= 0.42.1),
         r-bioc-biocparallel (>= 1.38.0),
         r-bioc-pwalign (>= 1.0.0-2~0exp1)
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Identify, Annotate and Visualize Alternative Splicing and
 Isoform Switches with Functional Consequences from both short- and
 long-read RNA-seq data. Analysis of alternative splicing and
 isoform switches with predicted functional consequences (e.g.
 gain/loss of protein domains etc.) from quantification of all
 types of RNASeq by tools such as Kallisto, Salmon, StringTie,
 Cufflinks/Cuffdiff etc.

## r-bioc-isoformswitchanalyzer 2.6.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Title: Identify, Annotate and Visualize Isoform Switches with
         Functional Consequences from both short- and long-read RNA-seq
         data
-Version: 2.4.0
+Version: 2.6.0
 Authors@R: c(person(given="Kristoffer",family="Vitting-Seerup", role=c("cre","aut"),email="k.vitting.seerup@gmail.com",comment = c(ORCID = "0000-0002-6450-0608")), person(given="Jeroen",family="Gilis", role="ctb", email="jeroen.gilis@ugent.be",comment = c(ORCID = "0000-0001-8415-0943")))
 Description: Analysis of alternative splicing and isoform switches with predicted functional consequences (e.g. gain/loss of protein domains etc.) from quantification of all types of RNASeq by tools such as Kallisto, Salmon, StringTie, Cufflinks/Cuffdiff etc.
 URL: http://bioconductor.org/packages/IsoformSwitchAnalyzeR/
@@ -33,13 +33,13 @@
         MultipleComparison, BatchEffect, ImmunoOncology
 RoxygenNote: 6.0.1
 git_url: https://git.bioconductor.org/packages/IsoformSwitchAnalyzeR
-git_branch: RELEASE_3_19
-git_last_commit: 7835f1d
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: f466631
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: yes
-Packaged: 2024-05-01 04:23:25 UTC; biocbuild
+Packaged: 2024-10-30 01:20:40 UTC; biocbuild
 Author: Kristoffer Vitting-Seerup [cre, aut]
     (<https://orcid.org/0000-0002-6450-0608>),
   Jeroen Gilis [ctb] (<https://orcid.org/0000-0001-8415-0943>)

=== debian/changelog ===
r-bioc-isoformswitchanalyzer (2.6.0+ds-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 14 Jan 2025 11:31:42 +0100

r-bioc-isoformswitchanalyzer (2.6.0+ds-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 03 Dec 2024 18:31:37 +0100

=== debian/control ===
Source: r-bioc-isoformswitchanalyzer
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-limma,
               r-bioc-dexseq,
               r-bioc-saturn,
               r-bioc-sva,
               r-cran-ggplot2 (>= 3.3.5),
               r-bioc-pfamanalyzer,
               r-bioc-bsgenome,
               r-cran-plyr,
               r-cran-reshape2,
               r-cran-gridextra,
               r-bioc-biostrings,
               r-bioc-iranges,
               r-bioc-genomicranges,
               r-cran-rcolorbrewer,
               r-bioc-rtracklayer,
               r-cran-venndiagram,
               r-cran-dbi,
               r-bioc-genomeinfodb,
               r-bioc-tximport,
               r-bioc-tximeta,
               r-bioc-edger,
               r-cran-futile.logger,
               r-cran-stringr,
               r-cran-dplyr,
               r-cran-magrittr,
               r-cran-readr,
               r-cran-tibble,
               r-bioc-xvector,
               r-bioc-biocgenerics,
               r-cran-rcurl,
               r-bioc-biobase,
               r-bioc-summarizedexperiment,
               r-cran-tidyr,
               r-bioc-s4vectors,
               r-bioc-biocparallel,
               r-bioc-pwalign,
               architecture-is-64-bit
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-isoformswitchanalyzer
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-isoformswitchanalyzer.git
Homepage: https://bioconductor.org/packages/IsoformSwitchAnalyzeR/
Rules-Requires-Root: no

Package: r-bioc-isoformswitchanalyzer
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Identify, Annotate and Visualize Alternative Splicing and
 Isoform Switches with Functional Consequences from both short- and
 long-read RNA-seq data. Analysis of alternative splicing and
 isoform switches with predicted functional consequences (e.g.
 gain/loss of protein domains etc.) from quantification of all
 types of RNASeq by tools such as Kallisto, Salmon, StringTie,
 Cufflinks/Cuffdiff etc.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_auto_install:
	dh_auto_install
	# upstream's file is not gzipped
	mv debian/r-bioc-isoformswitchanalyzer/usr/lib/R/site-library/IsoformSwitchAnalyzeR/extdata/example_isoform_nt.fasta.gz \
	   debian/r-bioc-isoformswitchanalyzer/usr/lib/R/site-library/IsoformSwitchAnalyzeR/extdata/example_isoform_nt.fasta
	gzip debian/r-bioc-isoformswitchanalyzer/usr/lib/R/site-library/IsoformSwitchAnalyzeR/extdata/example_isoform_nt.fasta
